%{?drupal7_find_provides_and_requires}

%global module site_verify

Name:          drupal7-%{module}
Version:       1.1
Release:       1%{?dist}
Summary:       Module to assist with site ownership verification for search engines

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
This module assists with the site/domain ownership authentication/
verification for search engines. There are two types of verification
methods supported: adding meta tags, or uploading a specific file. If
you are provided with a file to upload, this module makes it easy
because you can upload the file in the module's interface and the proper
filename and file contents will be saved and used in the authentication
process.

This module is useful for the following search engine verifications:

Google Webmaster Tools
Google Apps
Bing Webmaster Central (formerly Live Search)
Yahoo! Site Explorer
Yandex.ru
Any search engine or web service that uses META tags or file upload to
verify that you are the owner of a site.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

# remove unnecessary executable bits
chmod a-x LICENSE.txt site_verify.module

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc RPM-README.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Sat Apr  8 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.1-1
- Initial package

